Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGPathSeg

All Known Subinterfaces:
  SVGPathSegArcAbs, SVGPathSegArcRel, SVGPathSegClosePath, SVGPathSegCurvetoCubicAbs, SVGPathSegCurvetoCubicRel, SVGPathSegCurvetoCubicSmoothAbs, SVGPathSegCurvetoCubicSmoothRel, SVGPathSegCurvetoQuadraticAbs, SVGPathSegCurvetoQuadraticRel, SVGPathSegCurvetoQuadraticSmoothAbs, SVGPathSegCurvetoQuadraticSmoothRel, SVGPathSegLinetoAbs, SVGPathSegLinetoHorizontalAbs, SVGPathSegLinetoHorizontalRel, SVGPathSegLinetoRel, SVGPathSegLinetoVerticalAbs, SVGPathSegLinetoVerticalRel, SVGPathSegMovetoAbs, SVGPathSegMovetoRel

public interface SVGPathSeg

Field Summary
`static short` | `PATHSEG_ARC_ABS`
`static short` | `PATHSEG_ARC_REL`
`static short` | `PATHSEG_CLOSEPATH`
`static short` | `PATHSEG_CURVETO_CUBIC_ABS`
`static short` | `PATHSEG_CURVETO_CUBIC_REL`
`static short` | `PATHSEG_CURVETO_CUBIC_SMOOTH_ABS`
`static short` | `PATHSEG_CURVETO_CUBIC_SMOOTH_REL`
`static short` | `PATHSEG_CURVETO_QUADRATIC_ABS`
`static short` | `PATHSEG_CURVETO_QUADRATIC_REL`
`static short` | `PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS`
`static short` | `PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL`
`static short` | `PATHSEG_LINETO_ABS`
`static short` | `PATHSEG_LINETO_HORIZONTAL_ABS`
`static short` | `PATHSEG_LINETO_HORIZONTAL_REL`
`static short` | `PATHSEG_LINETO_REL`
`static short` | `PATHSEG_LINETO_VERTICAL_ABS`
`static short` | `PATHSEG_LINETO_VERTICAL_REL`
`static short` | `PATHSEG_MOVETO_ABS`
`static short` | `PATHSEG_MOVETO_REL`
`static short` | `PATHSEG_UNKNOWN`

Method Summary
`short` | `getPathSegType()`
`java.lang.String` | `getPathSegTypeAsLetter()`

Field Detail

### PATHSEG_UNKNOWN

    public static final short PATHSEG_UNKNOWN

### PATHSEG_CLOSEPATH

    public static final short PATHSEG_CLOSEPATH

### PATHSEG_MOVETO_ABS

    public static final short PATHSEG_MOVETO_ABS

### PATHSEG_MOVETO_REL

    public static final short PATHSEG_MOVETO_REL

### PATHSEG_LINETO_ABS

    public static final short PATHSEG_LINETO_ABS

### PATHSEG_LINETO_REL

    public static final short PATHSEG_LINETO_REL

### PATHSEG_CURVETO_CUBIC_ABS

    public static final short PATHSEG_CURVETO_CUBIC_ABS

### PATHSEG_CURVETO_CUBIC_REL

    public static final short PATHSEG_CURVETO_CUBIC_REL

### PATHSEG_CURVETO_QUADRATIC_ABS

    public static final short PATHSEG_CURVETO_QUADRATIC_ABS

### PATHSEG_CURVETO_QUADRATIC_REL

    public static final short PATHSEG_CURVETO_QUADRATIC_REL

### PATHSEG_ARC_ABS

    public static final short PATHSEG_ARC_ABS

### PATHSEG_ARC_REL

    public static final short PATHSEG_ARC_REL

### PATHSEG_LINETO_HORIZONTAL_ABS

    public static final short PATHSEG_LINETO_HORIZONTAL_ABS

### PATHSEG_LINETO_HORIZONTAL_REL

    public static final short PATHSEG_LINETO_HORIZONTAL_REL

### PATHSEG_LINETO_VERTICAL_ABS

    public static final short PATHSEG_LINETO_VERTICAL_ABS

### PATHSEG_LINETO_VERTICAL_REL

    public static final short PATHSEG_LINETO_VERTICAL_REL

### PATHSEG_CURVETO_CUBIC_SMOOTH_ABS

    public static final short PATHSEG_CURVETO_CUBIC_SMOOTH_ABS

### PATHSEG_CURVETO_CUBIC_SMOOTH_REL

    public static final short PATHSEG_CURVETO_CUBIC_SMOOTH_REL

### PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS

    public static final short PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS

### PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL

    public static final short PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL

Method Detail

### getPathSegType

    public short getPathSegType()

### getPathSegTypeAsLetter

    public java.lang.String getPathSegTypeAsLetter()

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD